Extending Qt Creator Manual | DesktopProcessSignalOperation

Extending Qt Creator Manual 4.5.2

# DesktopProcessSignalOperation Class

(ProjectExplorer::DesktopProcessSignalOperation)

Inherits: | ProjectExplorer::DeviceProcessSignalOperation

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | interruptProcess(qint64 pid) override
virtual void | interruptProcess(const QString &filePath) override
virtual void | killProcess(qint64 pid) override
virtual void | killProcess(const QString &filePath) override

- 5 public functions inherited from ProjectExplorer::DeviceProcessSignalOperation

## Protected Functions

| DesktopProcessSignalOperation() = default

### Additional Inherited Members

- 5 public functions inherited from ProjectExplorer::DeviceProcessSignalOperation
- 1 signal inherited from ProjectExplorer::DeviceProcessSignalOperation

## Member Function Documentation

### `[default protected]` DesktopProcessSignalOperation::DesktopProcessSignalOperation()

Default constructs an instance of DesktopProcessSignalOperation.

### `[override virtual]` void DesktopProcessSignalOperation::interruptProcess(qint64 pid)

### `[override virtual]` void DesktopProcessSignalOperation::interruptProcess(const QString &filePath)

### `[override virtual]` void DesktopProcessSignalOperation::killProcess(qint64 pid)

### `[override virtual]` void DesktopProcessSignalOperation::killProcess(const QString &filePath)